%global rseserver_install   %{_datadir}/eclipse-rse-server
%global rseserver_java      %{_datadir}/java/eclipse-rse-server
%global rseserver_config    %{_sysconfdir}/sysconfig/rseserver
%global rse_snapshot        69465ac52526baaf2f35e51b5644e22d6896f0d9
%global rse_commitstamp     69465ac52526baaf2f35e51b5644e22d6896f0d9

Name: eclipse-rse
Summary: Eclipse Remote System Explorer
Version: 3.7.1
Release: %mkrel 1
Group:   Development/Java
License: EPL
URL: http://www.eclipse.org/dsdp/tm/

Source0: http://git.eclipse.org/c/tm/org.eclipse.tm.git/snapshot/org.eclipse.tm-%{rse_commitstamp}.tar.xz

# Use Authen::pam to authenticate clients
Patch1: eclipse-rse-server-auth-pl.patch
# Fix classpath in daemon and server scripts to point
# to install locations
Patch2: eclipse-rse-server-scripts.patch
# Patch to remove dependency on org.apache.commons.net.source
Patch4: eclipse-rse-commons-net-source.patch
# Patch jgit version issue
Patch6: eclipse-rse-jgit-version.patch

BuildArch: noarch

BuildRequires: tycho
BuildRequires: tycho-extras
BuildRequires: eclipse-license
BuildRequires: eclipse-pde >= 1:3.8.0-0.21
BuildRequires: apache-commons-net
BuildRequires: eclipse-tm-terminal
Requires: eclipse-platform >= 1:3.8.0-0.21
Requires: apache-commons-net
Requires: eclipse-tm-terminal

%description
Remote System Explorer (RSE) is a framework and toolkit in Eclipse Workbench
that allows you to connect and work with a variety of remote systems.

%package server
Summary: Eclipse Remote System Explorer Server
Requires: perl
Requires: perl-Authen-PAM
Requires: java-headless

%description server
The Remote System Explorer (RSE) framework server that can be used so clients can connect to this machine via RSE.

%prep
%setup -q -n org.eclipse.tm-%{rse_snapshot}

%patch6 -p1
%patch4

pushd rse/plugins/org.eclipse.rse.services.dstore
%patch1
%patch2
popd
sed -i -e 's|3.2,3.3|3.2,3.9|g' admin/pom-config.xml

# Not necessary build the p2 repo with mvn_install
%pom_disable_module releng/org.eclipse.tm.repo

# Disable modules we don't want to ship
%pom_disable_module rse/plugins/org.eclipse.rse.ui.capabilities
%pom_disable_module wince/org.eclipse.rse.wince-feature
%pom_disable_module wince/org.eclipse.rse.subsystems.wince
%pom_disable_module wince/org.eclipse.tm.rapi

# Fix pom versions
sed -i -e 's@\.qualifier</version>@-SNAPSHOT</version>@' $(find -name pom.xml)

%build
%mvn_build -j

%install
%mvn_install

install -d -m 755 %{buildroot}%{rseserver_install}
install -d -m 755 %{buildroot}%{rseserver_java}
install -d -m 755 %{buildroot}%{rseserver_config}

pushd %{buildroot}%{_datadir}/eclipse/droplets/rse/eclipse/plugins
unzip -q -o -d %{buildroot}%{rseserver_java} org.eclipse.rse.services.dstore_*.jar dstore_miners.jar
unzip -q -o -d %{buildroot}%{rseserver_java} org.eclipse.dstore.core_*.jar dstore_core.jar
unzip -q -o -d %{buildroot}%{rseserver_java} org.eclipse.dstore.extra_*.jar dstore_extra_server.jar
unzip -q -o -d %{buildroot}%{rseserver_java} org.eclipse.rse.services_*.jar clientserver.jar
# Remove server-specific jar files from plug-ins
jarname=`ls org.eclipse.rse.services.dstore_*.jar`
zip -d $jarname dstore_miners.jar
jarname=`ls org.eclipse.dstore.core_*.jar`
zip -d $jarname dstore_core.jar
jarname=`ls org.eclipse.dstore.extra_*.jar`
zip -d $jarname dstore_extra_server.jar
jarname=`ls org.eclipse.rse.services_*.jar`
zip -d $jarname clientserver.jar
popd

pushd rse/plugins/org.eclipse.rse.services.dstore
pushd serverruntime/scripts/linux
cp *.pl %{buildroot}%{rseserver_install}
popd
pushd serverruntime/data
cp *.properties %{buildroot}%{rseserver_config}
cp *.dat %{buildroot}%{rseserver_install}
popd

%files -f .mfiles
%doc releng/rootfiles/*.html

%files server
%{rseserver_install}
%{rseserver_java}
%dir %{rseserver_config}
%config(noreplace) %{rseserver_config}/ssl.properties
%config(noreplace) %{rseserver_config}/rsecomm.properties
%doc releng/rootfiles/*.html



%changelog
* Tue Oct 04 2016 daviddavid <daviddavid> 3.7.1-1.mga6
+ Revision: 1058700
- Update to released version of 3.7.1 Final

* Tue May 10 2016 daviddavid <daviddavid> 3.7.1-0.1.git671d63b.1.mga6
+ Revision: 1012185
- Upgrade for Mars.2 release

* Wed Mar 02 2016 neoclust <neoclust> 3.7.0-7.git97bd591.3.mga6
+ Revision: 982610
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 3.7.0-7.git97bd591.2.mga6
+ Revision: 975789
- First rebuild of the java stack
- sync package eclipse-rse with fedora


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 5 2011 Alexander Kurtakov <akurtako@redhat.com> 3.2-2
- Fix broken symlink.

* Fri Jul 9 2010 Alexander Kurtakov <akurtako@redhat.com> 3.2-1
- Update to 3.2 (Helios).

* Fri Mar 19 2010 Jeff Johnston <jjohnstn@redhat.com> 3.1.2-1
- Rebase to 3.1.2 (Galileo SR2 version).

* Thu Feb 25 2010 Jeff Johnston <jjohnstn@redhat.com> 3.1.1-3
- Resolves: #567874
- Remove oro requirement as it is not needed.

* Tue Oct 27 2009 Jeff Johnston <jjohnstn@redhat.com> 3.1.1-2
- Update plugin and feature version property files.

* Tue Oct 20 2009 Jeff Johnston <jjohnstn@redhat.com> 3.1.1-1
- Move to 3.1.1 tarball.

* Fri Aug 21 2009 Jeff Johnston <jjohnstn@redhat.com> 3.1-2
- Add BuildArch noarch.

* Mon Aug 17 2009 Jeff Johnston <jjohnstn@redhat.com> 3.1-1
- Move to 3.1 tarball.

* Wed Jul 29 2009 Jeff Johnston <jjohnstn@redhat.com> 3.0.3-4
- Resolves #514630

* Tue Jul 28 2009 Jeff Johnston <jjohnstn@redhat.com> 3.0.3-3
- Restrict arch support to those supported by prereq CDT.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 23 2009 Jeff Johnston <jjohnstn@redhat.com> 3.0.3-1
- Initial release.
